package com.portal.auto.controller;

import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

import com.portal.auto.model.Order;

@Component
@RabbitListener(queues = "EmailQueue")
public class PaymentReceivedEvent {

	
	@RabbitHandler
    public void receiveMessage(Order order) {
		 System.out.println("Sucessfully Sent Email to Customer for the Order Id <" + order.getOrderId()+ "> Email Id  <" + order.getEmailId() + ">  ");
		 
		 
        
        // Will write code for sending email to customer
        
        
    }

}
